From d5d42683bbba7c7726602f50944303a3a78cd6b1 Mon Sep 17 00:00:00 2001
From: Shazad Hussain <quic_shazhuss@quicinc.com>
Date: Thu, 12 Jan 2023 15:14:06 +0530
Subject: [PATCH 1/3] hack: clk: qcom: gcc: enable disp hf clocks

this patch enables gcc_disp_hf_axi_clk, gcc_disp1_hf_axi_clk,
gcc_qmip_disp_ahb_clk and gcc_qmip_disp1_ahb_clk.

Signed-off-by: Shazad Hussain <quic_shazhuss@quicinc.com>
---
 drivers/clk/qcom/gcc-lemans.c | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

diff --git a/drivers/clk/qcom/gcc-lemans.c b/drivers/clk/qcom/gcc-lemans.c
index 786484fc3412..0d15a6856ba4 100644
--- a/drivers/clk/qcom/gcc-lemans.c
+++ b/drivers/clk/qcom/gcc-lemans.c
@@ -2017,7 +2017,7 @@ static struct clk_branch gcc_ddrss_gpu_axi_clk = {
 
 static struct clk_branch gcc_disp1_hf_axi_clk = {
 	.halt_reg = 0xc7010,
-	.halt_check = BRANCH_HALT_VOTED,
+	.halt_check = BRANCH_HALT_SKIP,
 	.hwcg_reg = 0xc7010,
 	.hwcg_bit = 1,
 	.clkr = {
@@ -2025,6 +2025,7 @@ static struct clk_branch gcc_disp1_hf_axi_clk = {
 		.enable_mask = BIT(0),
 		.hw.init = &(const struct clk_init_data){
 			.name = "gcc_disp1_hf_axi_clk",
+			.flags = CLK_IS_CRITICAL,
 			.ops = &clk_branch2_ops,
 		},
 	},
@@ -2032,7 +2033,7 @@ static struct clk_branch gcc_disp1_hf_axi_clk = {
 
 static struct clk_branch gcc_disp_hf_axi_clk = {
 	.halt_reg = 0x33010,
-	.halt_check = BRANCH_HALT_VOTED,
+	.halt_check = BRANCH_HALT_SKIP,
 	.hwcg_reg = 0x33010,
 	.hwcg_bit = 1,
 	.clkr = {
@@ -2040,6 +2041,7 @@ static struct clk_branch gcc_disp_hf_axi_clk = {
 		.enable_mask = BIT(0),
 		.hw.init = &(const struct clk_init_data){
 			.name = "gcc_disp_hf_axi_clk",
+			.flags = CLK_IS_CRITICAL,
 			.ops = &clk_branch2_ops,
 		},
 	},
@@ -2808,6 +2810,7 @@ static struct clk_branch gcc_qmip_disp1_ahb_clk = {
 		.enable_mask = BIT(0),
 		.hw.init = &(const struct clk_init_data){
 			.name = "gcc_qmip_disp1_ahb_clk",
+			.flags = CLK_IS_CRITICAL,
 			.ops = &clk_branch2_ops,
 		},
 	},
@@ -2836,6 +2839,7 @@ static struct clk_branch gcc_qmip_disp_ahb_clk = {
 		.enable_mask = BIT(0),
 		.hw.init = &(const struct clk_init_data){
 			.name = "gcc_qmip_disp_ahb_clk",
+			.flags = CLK_IS_CRITICAL,
 			.ops = &clk_branch2_ops,
 		},
 	},
-- 
2.38.0

